Releases Index
Recommend a source
View .md

Submit a source recommendation

POST
/recommendations

Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.

Authorization

bearerAuth
headerAuthorizationBearer <relk_… | relu_… | OAuth JWT>

Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.

Header Parameters

Idempotency-Key?string

Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.

Match^[\x21-\x7e]+$
Length16 <= length <= 255

Request Body

application/json
  1. body
type*"source"
Value in"source"
url*string

http(s) URL of the changelog or project.

Lengthlength <= 2048
note?string
Lengthlength <= 4000
contactEmail?string
Lengthlength <= 200
surface?string
Lengthlength <= 32

Response Body

Accepted recommendation identifier.

application/json
  1. response
ok*boolean
id*string
Example Request
curl -X POST 'https://api.releases.sh/v1/recommendations' \  -H 'Content-Type: application/json' \  -d '{  "type": "source",  "url": "string"}'
Example Response
{  "ok": true,  "id": "string"}